%define _disable_ld_no_undefined 1
%define uname	LogbookKonni_pi
%define piname	logbookkonni_pi
%global ocpnlibscommit0 facd6f684e8b851619a100e5601626e2002e1d42

Name:		opencpn-logbookkonni-plugin
Summary:	Logbook plugin for OpenCPN
Version:	1.4.32.0
Release:	%mkrel 2
License:	GPLv3+
Group:		Geography
URL:		https://opencpn.org/OpenCPN/plugins/logbookkonni.html
Source0:	https://github.com/rgleason/%{uname}/archive/v%{version}/%{uname}-%{version}.tar.gz
Source1:    https://github.com/OpenCPN/opencpn-libs/archive/%{ocpnlibscommit0}/opencpn-libs-%{ocpnlibscommit0}.tar.gz
Source2:	README_Layouts.txt
Patch0:     opencpn-libs-facd6f6-tinyxml.patch
Patch1:     opencpn-libs-facd6f6-json.patch
Patch2:     opencpn-libs-facd6f6-ocpn_plugin.patch
Patch3:     logbook-1.4.32.0-GetArch.patch

BuildRequires:	cmake
BuildRequires:	gettext
BuildRequires:	wxgtku3.2-devel
BuildRequires:	pkgconfig(bzip2)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(tinyxml)
BuildRequires:  pkgconfig(jsoncpp)

Requires:	opencpn
Provides:	LogbookKonni = %{version}
Provides:	opencpn-logbook-plugin = %{version}-%{release}
Conflicts:	opencpn < 4.8.0

%description
The Konni's logbook plugin is fully integrated with the graphical interface
of OpenCPN.

NB: Once the logbook is activated, the LogbookKonni layouts 
must be installed for each user.

See /usr/share/doc/opencpn-logbookkonni-plugin/README_Layouts.txt for
help installing the layouts.

%prep
%setup -a1 -n %{uname}-%{version}

%patch -P 0 -p1
%patch -P 1 -p1
%patch -P 2 -p1
%patch -P 3 -p1


mv opencpn-libs-%{ocpnlibscommit0}/{.,}* opencpn-libs/

%build
%cmake
%cmake_build

%install

cp %{SOURCE2} .

mkdir -p %{buildroot}%{_libdir}/opencpn
mkdir -p %{buildroot}%{_datadir}/opencpn
mkdir -p %{buildroot}%{_datadir}/locale

install -Dpm755 %{_vpath_builddir}/lib%{uname}.so %{buildroot}%{_libdir}/opencpn/

%ifarch x86_64 i686
mv %{_vpath_builddir}/app/Logbook-1.4-mageia-*/share/locale/ %{buildroot}%{_datadir}
mv %{_vpath_builddir}/app/Logbook-1.4-mageia-*/share/opencpn/ %{buildroot}%{_datadir}
%endif

%ifarch aarch64
mv %{_vpath_builddir}/app/Logbook-1.4-mageia-A64-*/share/locale/ %{buildroot}%{_datadir}
mv %{_vpath_builddir}/app/Logbook-1.4-mageia-A64*/share/opencpn/ %{buildroot}%{_datadir}
%endif

%ifarch armv7hl
mv %{_vpath_builddir}/app/Logbook-1.4-mageia-*/share/locale/ %{buildroot}%{_datadir}
mv %{_vpath_builddir}/app/Logbook-1.4-mageia-*/share/opencpn/ %{buildroot}%{_datadir}
%endif


%files 
%doc README_Layouts.txt
%{_libdir}/opencpn/lib%{uname}.so
%{_datadir}/opencpn/plugins/%{uname}/data/
%{_datadir}/locale


%changelog
* Mon Apr 28 2025 philippedidier <philippedidier> 1.4.32.0-2.mga10
+ Revision: 2179620
- correct typo
- new version 1.4.32.0 little patch added for GCC 15.1.0

* Thu Jan 11 2024 philippedidier <philippedidier> 1.4.31.0-2.mga10
+ Revision: 2029933
- little correction to allow armv7hl build

* Thu Jan 11 2024 philippedidier <philippedidier> 1.4.31.0-1.mga10
+ Revision: 2029704
- new version 1.4.31.0

* Tue May 30 2023 philippedidier <philippedidier> 1.4.30-1.mga9
+ Revision: 1959940
- new version 1.4.30 built upon wxgtku 3.2

* Sun Jul 10 2022 philippedidier <philippedidier> 1.4.28-2.mga9
+ Revision: 1868288
- New version 1.4.28
- New version

* Sun Apr 03 2022 umeabot <umeabot> 1.4.008-8.mga9
+ Revision: 1842548
- Mageia 9 Mass Rebuild

* Thu Jul 22 2021 barjac <barjac> 1.4.008-7.mga9
+ Revision: 1737353
- set version limit on wxgtku BR
+ philippedidier <philippedidier>
- simplify Sources thanks to Barjac for his skill and wise advices
- corrected URL and Source URL--modified instructions in descrition

* Mon Jul 12 2021 barjac <barjac> 1.4.008-5.mga9
+ Revision: 1735755
- Build with wxgtku3.0 not 3.1

* Fri Jan 01 2021 wally <wally> 1.4.008-4.mga8
+ Revision: 1667713
- rebuild for wxgtk pre 3.1.5 snapshot

* Sun Aug 16 2020 wally <wally> 1.4.008-3.mga8
+ Revision: 1614354
- rebuild for new wxgtk 3.1.4

* Tue Feb 18 2020 daviddavid <daviddavid> 1.4.008-2.mga8
+ Revision: 1539516
- use new cmake macros
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Mon Nov 11 2019 barjac <barjac> 1.4.008-1.mga8
+ Revision: 1459318
- new version 1.4.008

* Sat Jul 13 2019 wally <wally> 1.4.006-2.mga8
+ Revision: 1421018
- rebuild with gtk3 enabled wxgtk 3.1.2

* Wed Mar 27 2019 barjac <barjac> 1.4.006-1.mga7
+ Revision: 1380630
- new version 1.4.006

* Fri Jan 18 2019 barjac <barjac> 1.3.006-1.mga7
+ Revision: 1358003
- new version 1.3.006

* Sun Sep 23 2018 umeabot <umeabot> 1.3.003-3.mga7
+ Revision: 1299996
- Mageia 7 Mass Rebuild

* Sun Jun 24 2018 wally <wally> 1.3.003-2.mga7
+ Revision: 1239509
- fix build on aarch64

* Wed Apr 11 2018 barjac <barjac> 1.3.003-1.mga7
+ Revision: 1217680
- new version 1.3.003

* Sat Jun 03 2017 akien <akien> 1.2.024-3.mga6
+ Revision: 1106112
- Rebuild for wxgtk 3.0.3.1

* Thu Jun 02 2016 daviddavid <daviddavid> 1.2.024-2.mga6
+ Revision: 1019832
- rebuild for wxgtk3.0 built with GTK2

* Tue Mar 15 2016 barjac <barjac> 1.2.024-1.mga6
+ Revision: 991012
- new version 1.2.024

* Sun Feb 21 2016 barjac <barjac> 1.2.023-1.mga6
+ Revision: 975908
- new version 1.2.023

* Tue Feb 16 2016 barjac <barjac> 1.2.018-2.mga6
+ Revision: 962308
- changed buildrequire wxgtku3.0

* Tue Dec 08 2015 barjac <barjac> 1.2.018-1.mga6
+ Revision: 908776
- new package opencpn-logbookkonni-plugin

